Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.cim
Class CIMScope

    java.lang.Object
      |
      +--com.sun.wbem.cim.CIMScope

public class CIMScope
extends java.lang.Object
implements java.io.Serializable

A class to encapsulate the different CIM Scopes.

Since:
  WBEM 1.0
See Also:
  Serialized Form

Field Summary
`static int` | `ANY` Integer value representing any CIM element
`static int` | `ASSOCIATION` Integer value representing a CIM association
`static int` | `CLASS` Integer value representing a CIM class
`static int` | `INDICATION` Integer value representing a CIM indication
`static int` | `METHOD` Integer value representing a CIM method
`static int` | `PARAMETER` Integer value representing a CIM parameter
`static int` | `PROPERTY` Integer value representing a CIM property
`static int` | `REFERENCE` Integer value representing a CIM reference
`static int` | `SCHEMA` Integer value representing a CIM schema

Constructor Summary
`CIMScope(int scope)` Creates a new CIM scope object with the specified scope.

Method Summary
`boolean` | `equals(java.lang.Object o)` Returns true if the specified object is a valid CIM scope.
`int` | `getScope()` Returns an integer representing the CIM scope
`static CIMScope` | `getScope(int scope)` Returns a CIM scope object with the specified CIM scope
`java.lang.String` | `toMOF()` Returns a MOF representation of the CIMScope.
`java.lang.String` | `toString()` Returns a String representation of the CIMScope.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SCHEMA

    public static final int SCHEMA

  Integer value representing a CIM schema

### CLASS

    public static final int CLASS

  Integer value representing a CIM class

### ASSOCIATION

    public static final int ASSOCIATION

  Integer value representing a CIM association

### INDICATION

    public static final int INDICATION

  Integer value representing a CIM indication

### PROPERTY

    public static final int PROPERTY

  Integer value representing a CIM property

### REFERENCE

    public static final int REFERENCE

  Integer value representing a CIM reference

### METHOD

    public static final int METHOD

  Integer value representing a CIM method

### PARAMETER

    public static final int PARAMETER

  Integer value representing a CIM parameter

### ANY

    public static final int ANY

  Integer value representing any CIM element

Constructor Detail

### CIMScope

    public CIMScope(int scope)

  Creates a new CIM scope object with the specified scope.
  Parameters:
    `scope` - the CIM scope. Valid CIM scope values range from 0 to 8, inclusive. A value outside this range returns an error message.

Method Detail

### getScope

    public static CIMScope getScope(int scope)

  Returns a CIM scope object with the specified CIM scope
  Parameters:
    `scope` - the CIM scope. Valid CIM scope values range from 0 to 8, inclusive. A value outside this range returns an error message.
  Returns:
    The predefined CIM scope.

### getScope

    public int getScope()

  Returns an integer representing the CIM scope
  Returns:
    The integer representing the CIM scope.

### equals

    public boolean equals(java.lang.Object o)

  Returns true if the specified object is a valid CIM scope. Otherwise, false.
  Overrides:
    equals in class java.lang.Object
  Parameters:
    `o` - The object to compare
  Returns:
    True if the specified object is a valid CIM scope. Otherwise, false.

### toString

    public java.lang.String toString()

  Returns a String representation of the CIMScope. This method is intended to be used only for debugging purposes, and the format of the returned string may vary between implementations. The returned string may be empty but may not be null.
  Overrides:
    toString in class java.lang.Object
  Returns:
    A string representation of this scope.

### toMOF

    public java.lang.String toMOF()

  Returns a MOF representation of the CIMScope.
  Returns:
    A string representation of this scope in Managed Object Format (MOF).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD